git-annex-importfeed(1)

NAME
git-annex-importfeed - import files from podcast feeds

SYNOPSIS
git annex importfeed [url ...]

DESCRIPTION
Imports the contents of podcasts and other feeds. Only downloads files whose content has not already been added to the repository before, so you can delete, rename, etc the resulting files and repeated runs won't duplicate them.

When youtube-dl is installed, it can be used to download links in the feed. This allows importing e.g., YouTube playlists. (However, this is disabled by default as it can be a security risk. See the documentation of annex.security.allowed-http-addresses in git-annex(1) for details.)

To make the import process add metadata to the imported files from the feed, git config annex.genmetadata true

OPTIONS

--force

    Force downloading items it's seen before.

--template
    Controls where the files are stored.

    The default template is '${feedtitle}/${itemtitle}${extension}'

    Other available variables for templates: feedauthor, itemauthor, itemsummary, itemdescription, itemrights, itemid, itempubdate, title, author

--relaxed, --fast, --raw
    These options behave the same as when using git-annex-addurl(1).

--fast
    Avoid immediately downloading urls. The url is still checked (via HEAD) to verify that it exists, and to get its size if possible.

--relaxed
    Don't immediately download urls, and avoid storing the size of the url's content. This makes git-annex accept whatever content is there at a future point.

--raw
    Prevent special handling of urls by youtube-dl, bittorrent, and other special remotes. This will for example, make importfeed download a .torrent file and not the contents it points to.

SEE ALSO
git-annex(1)

git-annex-addurl(1)

AUTHOR
Joey Hess <id@joeyh.name>